org.freeplane.plugin.script.proxy

## Interface Proxy.ConnectorRO

- All Known Subinterfaces:
    Proxy.Connector
  Enclosing interface:
    Proxy

      public static interface Proxy.ConnectorRO

  Graphical connector between nodes:`node.connectorsIn` / `node.connectorsOut` - read-only.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getColor()`
    `java.lang.String` | `getColorCode()`
    `org.freeplane.features.link.ArrowType` | `getEndArrow()` Deprecated. since 1.2 - use `hasEndArrow()` instead
    `java.util.List<java.lang.Integer>` | `getEndInclination()` returns a Point.
    `java.lang.String` | `getMiddleLabel()`
    `java.lang.String` | `getShape()` returns one of LINE, LINEAR_PATH, CUBIC_CURVE, EDGE_LIKE.
    `Proxy.Node` | `getSource()` The node without the arrow.
    `java.lang.String` | `getSourceLabel()`
    `org.freeplane.features.link.ArrowType` | `getStartArrow()` Deprecated. since 1.2 - use `hasStartArrow()` instead
    `java.util.List<java.lang.Integer>` | `getStartInclination()` returns a Point.
    `Proxy.Node` | `getTarget()` The node with the arrow.
    `java.lang.String` | `getTargetLabel()`
    `boolean` | `hasEndArrow()`
    `boolean` | `hasStartArrow()`
    `boolean` | `simulatesEdge()`

- - ### Method Detail

    - #### getShape

          java.lang.String getShape()

      returns one of LINE, LINEAR_PATH, CUBIC_CURVE, EDGE_LIKE.
      Since:
        1.3

    - #### getColor

          java.awt.Color getColor()

    - #### getColorCode

          java.lang.String getColorCode()

    - #### hasEndArrow

          boolean hasEndArrow()

      Since:
        1.2

    - #### getEndArrow

          org.freeplane.features.link.ArrowType getEndArrow()

      Deprecated. since 1.2 - use `hasEndArrow()` instead

    - #### getMiddleLabel

          java.lang.String getMiddleLabel()

    - #### getSource

          Proxy.Node getSource()

      The node without the arrow. On connectors with arrows at both ends one of the ends.

    - #### getSourceLabel

          java.lang.String getSourceLabel()

    - #### hasStartArrow

          boolean hasStartArrow()

      Since:
        1.2

    - #### getStartArrow

          org.freeplane.features.link.ArrowType getStartArrow()

      Deprecated. since 1.2 - use `hasStartArrow()` instead

    - #### getTarget

          Proxy.Node getTarget()

      The node with the arrow. On connectors with arrows at both ends one of the ends.

    - #### getTargetLabel

          java.lang.String getTargetLabel()

    - #### simulatesEdge

          boolean simulatesEdge()

    - #### getStartInclination

          java.util.List<java.lang.Integer> getStartInclination()

      returns a Point.
      Since:
        1.3.3

    - #### getEndInclination

          java.util.List<java.lang.Integer> getEndInclination()

      returns a Point.
      Since:
        1.3.3